org.eclipse.jetty.annotations

## Class AnnotationConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration
  - - org.eclipse.jetty.annotations.AnnotationConfiguration

- All Implemented Interfaces:
    Configuration

      public class AnnotationConfiguration
      extends AbstractConfiguration

  Configuration for Annotations

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cloneConfigure(WebAppContext template, WebAppContext context)` Clone configuration instance.
    `void` | `configure(WebAppContext context)` Configure WebApp.

    - ### Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration

      `deconfigure, destroy, postConfigure, preConfigure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationConfiguration

          public AnnotationConfiguration()

  - ### Method Detail

    - #### configure

          public void configure(WebAppContext context)
                         throws java.lang.Exception

      Description copied from interface: `Configuration`
      Configure WebApp.

      Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

      Specified by:
        `configure` in interface `Configuration`
      Overrides:
        `configure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `java.lang.Exception`

    - #### cloneConfigure

          public void cloneConfigure(WebAppContext template,
                            WebAppContext context)
                              throws java.lang.Exception

      Description copied from interface: `Configuration`
      Clone configuration instance.

      Configure an instance of a WebAppContext, based on a template WebAppContext that has previously been configured by this Configuration.

      Specified by:
        `cloneConfigure` in interface `Configuration`
      Overrides:
        `cloneConfigure` in class `AbstractConfiguration`
      Parameters:
        `template` - The template context
        `context` - The context to configure
      Throws:
        `java.lang.Exception`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.